/**
 * PilrcEdit - a graphical editor for PilRC files.
 * Copyright (C) 2000 Rob Nielsen
 * rnielsen@wn.com.au
 * http://www.wn.com.au/rnielsen/
 *
 * Released under the GNU GPL - http://www.gnu.org/copyleft/gpl.html
 */
package pilrcedit;

import java.awt.*;
import java.awt.event.*;

public class OptionsFrame extends Frame implements ActionListener
{
	Checkbox disconnect;
	Checkbox autolink;
  Choice outputCase;

	public OptionsFrame()
	{
		super("Preferences");
		boolean reg=Preferences.registerFrame(this);
		Panel p=new Panel(new GridLayout(0,1));
		p.add(disconnect=new Checkbox("Disconnect controls before moving"));
		p.add(autolink=new Checkbox("Enable automatic linking"));
    Panel p2=new Panel(new BorderLayout(5,5));
    p2.add("West",new Label("PilRC Constant output case"));
    p2.add(outputCase=new Choice());
    outputCase.add("Lower");
    outputCase.add("Mixed");
    outputCase.add("Upper");
    p.add(p2);

		add("North",p);

		p=new Panel();
		Button b=null;
		p.add(b=new Button("Ok"));
		b.addActionListener(this);
		p.add(b=new Button("Cancel"));
		b.addActionListener(this);
		add("South",p);
    if (!reg)
      pack();
	}

  public void show()
  {
		disconnect.setState(Preferences.getBooleanPref("Auto Disconnect",false));
		autolink.setState(Preferences.getBooleanPref("Autolink",true));
    outputCase.select(Preferences.getIntPref("OutputCase",Keywords.UPPER_CASE));
		super.show();
	}

  public void actionPerformed(ActionEvent e)
  {
		Preferences.hide(this);
		String s=e.getActionCommand();
		if (s.equals("Ok"))
		{
			Preferences.setPref("Auto Disconnect",disconnect.getState());
			Preferences.setPref("Autolink",autolink.getState());
      Preferences.setPref("OutputCase",outputCase.getSelectedIndex());
		}
	}
}
